MyGUI: MyGUI::ClipboardManager Class Reference

MyGUI 3.4.3

Public Member Functions | Static Public Member Functions | Data Fields
MyGUI::ClipboardManager Class Reference

`#include <MyGUI_ClipboardManager.h>`

## Public Member Functions
| ClipboardManager (const ClipboardManager &)=delete
ClipboardManager & | operator= (const ClipboardManager &)=delete
| ClipboardManager ()
void | initialise ()
void | shutdown ()
void | setClipboardData (std::string_view _type, std::string_view _data)
void | clearClipboardData (std::string_view _type)
std::string | getClipboardData (std::string_view _type) const

## Static Public Member Functions
static ClipboardManager & | getInstance ()
static ClipboardManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Data Fields
EventPairConvertStringView< delegates::MultiDelegate< const std::string &, const std::string & >, delegates::MultiDelegate< std::string_view, std::string_view > > | eventClipboardChanged
EventPairConvertStringView< delegates::MultiDelegate< const std::string &, std::string & >, delegates::MultiDelegate< std::string_view, std::string & > > | eventClipboardRequested

## Detailed Description

Definition at line 21 of file MyGUI_ClipboardManager.h.

## Constructor & Destructor Documentation

## ◆ ClipboardManager() [1/2]

MyGUI::ClipboardManager::ClipboardManager | ( | const ClipboardManager & |  | ) |
| delete

## ◆ ClipboardManager() [2/2]

MyGUI::ClipboardManager::ClipboardManager | ( |  | ) |

Definition at line 20 of file MyGUI_ClipboardManager.cpp.

## Member Function Documentation

## ◆ clearClipboardData()

void MyGUI::ClipboardManager::clearClipboardData | ( | std::string_view | _type | ) |

Clear specific type data

Parameters

  _type | of data to delete (for example "Text")

Definition at line 64 of file MyGUI_ClipboardManager.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::ClipboardManager::getClassTypeName | ( |  | ) |
| static

## ◆ getClipboardData()

std::string MyGUI::ClipboardManager::getClipboardData | ( | std::string_view | _type | ) | const

Get specific type data

Parameters

  _type | of data to get (for example "Text")

Definition at line 72 of file MyGUI_ClipboardManager.cpp.

## ◆ getInstance()

ClipboardManager & MyGUI::ClipboardManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

ClipboardManager * MyGUI::ClipboardManager::getInstancePtr | ( |  | ) |
| static

## ◆ initialise()

void MyGUI::ClipboardManager::initialise | ( |  | ) |

Definition at line 28 of file MyGUI_ClipboardManager.cpp.

## ◆ operator=()

ClipboardManager & MyGUI::ClipboardManager::operator= | ( | const ClipboardManager & |  | ) |
| delete

## ◆ setClipboardData()

void MyGUI::ClipboardManager::setClipboardData | ( | std::string_view | _type,
|  | std::string_view | _data )

Set current data in clipboard and trigger eventClipboardChanged. To be used by widgets.

Parameters

  _type | of data (for example "Text")
  _data |

Definition at line 57 of file MyGUI_ClipboardManager.cpp.

## ◆ shutdown()

void MyGUI::ClipboardManager::shutdown | ( |  | ) |

Definition at line 42 of file MyGUI_ClipboardManager.cpp.

## Field Documentation

## ◆ eventClipboardChanged

EventPairConvertStringView< delegates::MultiDelegate<const std::string&, const std::string&>, delegates::MultiDelegate<std::string_view, std::string_view> > MyGUI::ClipboardManager::eventClipboardChanged

Event : Clipboard content was changed via setClipboardData.
signature : void method(std::string_view _type, std::string_view _data)

Parameters

  _type | of data (for example "Text")
  _data |

Definition at line 56 of file MyGUI_ClipboardManager.h.

## ◆ eventClipboardRequested

EventPairConvertStringView< delegates::MultiDelegate<const std::string&, std::string&>, delegates::MultiDelegate<std::string_view, std::string&> > MyGUI::ClipboardManager::eventClipboardRequested

Event : The content of the clipboard is being requested via getClipboardData.
Delegates of this event can modify the _data argument in-place to change the data returned by getClipboardData. signature : void method(std::string_view _type, std::string& _data)

Parameters

  _type | of data (for example "Text")
  _data |

Definition at line 67 of file MyGUI_ClipboardManager.h.

The documentation for this class was generated from the following files:

- MyGUI_ClipboardManager.h
- MyGUI_ClipboardManager.cpp